/* top */
.top-topics__swiper {
  .swiper-slide img {
    aspect-ratio: 3/2;
    object-fit: cover;

    .img {
      position: relative;
    }
  }
}

.top-topics__swiper .swiper-slide .top-topics__cat {
  position: static;
}

.top-topics__swiper .swiper-slide .top-topics__cat-wrap {
  position: absolute;
  top: 1rem;
  left: 1rem;
  display: flex;
  flex-wrap: wrap;
  gap: 5px;
}

/* side-menu */
.side__swiper .swiper-slide .img > img {
  aspect-ratio: 3/2;
  object-fit: cover;
}

/* header */
@media (max-width: 1024px) {
  .side-menu__wrapper {
    padding-bottom: 30px;
  }
}

/*-----追加20250430--------------------------------*/
.footer__main-links {
  gap: 0px;
  grid-template-columns: 1fr;
  width: 40%;
  margin: 0 auto;
}
@media (max-width: 834px) {
  .footer__main-links {
    width: 80%;
  }
}
@media (max-width: 499px) {
  .footer__main-links {
    width: 100%;
  }
}

/*-----追加20250514--------------------------------*/
.header__instagram {
  width: 230px;
  height: 65px;
  border-radius: 100px;
  color: #fff;
  background: url(../img/top/instagram-btn-bg.webp) no-repeat center center /
    cover;
  font-size: 1.4rem;
  font-weight: 600;
  position: fixed;
  top: 30px;
  right: 315px;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 500;
  line-height: 1.3;
  gap: 10px;
}
.header__instagram img {
  aspect-ratio: 1;
  width: 28px;
}
@media (max-width: 1024px) {
  .header__instagram {
    width: 45px;
    height: 45px;
    top: 10px;
    right: calc(10px + 88px + 10px + 45px + 10px);
  }
  .header__instagram-txt {
    display: none;
  }
  .header__instagram img {
    width: 20px;
  }
}
.side-menu__nav-instagram {
  display: none;
}
@media (max-width: 1024px) {
  .side-menu__nav-instagram {
    width: 100%;
    border-radius: 20px;
    color: #fff;
    background: url(../img/top/instagram-btn-bg.webp) no-repeat center center /
      cover;
    font-size: 2rem;
    font-weight: 600;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 500;
    line-height: 1.3;
    gap: 1.6rem;
    margin-top: 25px;
    padding: 1.6rem 1rem;
  }
}
.side-menu__nav-instagram-txt {
  text-align: center;
}
.side-menu__nav-instagram img {
  aspect-ratio: 1;
  width: 42px;
}

@media screen and (max-width: 1024px) {
  #side-menu.active {
    border-radius: 10px 10px 0 0;
  }
}

@media screen and (max-width: 1024px) {
  #side-menu {
    position: fixed;
    right: 0;
    /* bottom: calc(-1 * (var(--side-menu-height) - var(--info-tab-height))); */
    height: var(--side-menu-height);
    display: flex;
    flex-direction: column;
    background: #fff;
    z-index: 9999;
  }

  #side-menu.active {
    /* bottom: -16vw; */
    border-radius: 10px 10px 0 0;
  }

  .sp-info-tab {
    position: sticky;
    top: 0;
    z-index: 10;
    background: #fff;
  }

  .sp-info-inner {
    flex: 1 1 auto;
    overflow-y: auto;
    max-height: calc(var(--side-menu-height) - var(--info-tab-height));
    -webkit-overflow-scrolling: touch;
  }
}

@media (max-width: 1024px) {
  .sp-info-tab {
    border-radius: 0;
  }
  .side__swiper .swiper-slide .img .side-menu__pickup {
    left: 0;
  }
  .sp-info-inner {
    overflow-y: scroll;
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* IE & Edge */
  }
  .sp-info-inner::-webkit-scrollbar {
    display: none; /* Chrome, Safari */
  }
  .side__swiper {
    padding-bottom: 80px;
  }
}

@media screen and (max-width: 1024px) {
  #side-menu {
    top: 91%;
  }
  #side-menu.active {
    top: 30px;
  }
}

/*-----追加250529--------------------------------*/
.side-menu__logo {
  width: 80px;
}
@media screen and (max-width: 1024px) {
  .side-menu__logo {
    /* width: 45px; */
    width: 30%;
    max-width: 185px;
  }
}
.footer__logo {
  width: 180px;
}

@media screen and (max-width: 639px) {
  .footer__logo {
    width: 47%;
  }
}
@media screen and (max-width: 1024px) {
  .header__reserv {
    display: flex;
    top: 10px;
    right: calc(10px + 45px + 10px);
    width: 88px;
    height: 45px;
  }
}
/*-----追加250819--------------------------------*/
.howto__content-cta-btn-wrap a + a {
  margin-top: 20px;
}
.activity .howto__content-cta-heading {
  margin-bottom: 3rem !important;
}
@media (max-width: 1199px) {
  .howto__content-cta-wrap {
    flex-direction: column;
  }
  .activity .howto__content-cta-wrap {
    align-items: flex-start !important;
    gap: 2rem !important;
  }
}
